# CEList Class Reference

Define this to enable the `StringList` objects to collect statistics. More...

`#include <colldata.h>`

Inheritance diagram for CEList:

## Public Member Functions
| CEList (UCollator *coll, const UnicodeString &string, UErrorCode &status)
| Construct a `CEList` object.
| ~CEList ()
| The destructor.
int32_t | size () const
| Return the number of CEs in the list.
uint32_t | get (int32_t index) const
| Get a particular CE from the list.
UBool | matchesAt (int32_t offset, const CEList *other) const
| Check if the CEs in another `CEList` match the suffix of this list starting at a give offset.
uint32_t & | operator[] (int32_t index) const
| The index operator.
virtual UClassID | getDynamicClassID () const
| UObject glue.
## Static Public Member Functions
static UClassID | getStaticClassID ()
| UObject glue.

## Detailed Description

Define this to enable the `StringList` objects to collect statistics.

This object holds a list of CEs generated from a particular `UnicodeString`

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

Definition at line 59 of file colldata.h.

## Constructor & Destructor Documentation

CEList::CEList | ( | UCollator * | coll,
|  | const UnicodeString & | string,
|  | UErrorCode & | status |
| ) |  |  |

Construct a `CEList` object.

Parameters:

  | coll | - the Collator used to collect the CEs.
  | string | - the string for which to collect the CEs.
  | status | - will be set if any errors occur.

Note: if on return, status is set to an error code, the only safe thing to do with this object is to call the destructor.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

## Member Function Documentation

uint32_t CEList::get | ( | int32_t | index | ) | const

Get a particular CE from the list.

Parameters:

  | index | - the index of the CE to return

Returns:
  the CE, or `0` if `index` is out of range

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

virtual UClassID CEList::getDynamicClassID | ( |  | ) | const`[virtual]`

UObject glue.

..

Implements UObject.

static UClassID CEList::getStaticClassID | ( |  | ) | `[static]`

UObject glue.

..

UBool CEList::matchesAt | ( | int32_t | offset,
|  | const CEList * | other |
| ) |  |  | const

Check if the CEs in another `CEList` match the suffix of this list starting at a give offset.

Parameters:

  | offset | - the offset of the suffix
  | other | - the other `CEList`

Returns:
  `TRUE` if the CEs match, `FALSE` otherwise.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

uint32_t& CEList::operator[] | ( | int32_t | index | ) | const

The index operator.

Parameters:

  | index | - the index

Returns:
  a reference to the given CE in the list

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

int32_t CEList::size | ( |  | ) | const

Return the number of CEs in the list.

Returns:
  the number of CEs in the list.

Internal:
  Do not use. This API is for internal use only. ICU 4.0.1 technology preview

The documentation for this class was generated from the following file:

- colldata.h